/// This is an example program to make 3-D sizeable buttons anywhere on 
/// the screen in any color with a optional shadow. The buttons are sizeable
/// depending on the length of the text. For Example: if your text was 20 
/// characters long the button will be 20 characters long. 

SETBLINK(.F.)
SETCOLOR("0/15")
CLEAR SCREEN

MAKEBUTTON(6,27," Edit Directories  ","15/3",1,"15/0")
MAKEBUTTON(8,27," Sort Directories  ","15/7",1,"15/0")
MAKEBUTTON(10,27," DBase FileFinder  ","15/7",1,"15/0")
MAKEBUTTON(12,27," Edit Directories  ","15/7",1,"15/0")
MAKEBUTTON(14,27," Edit Directories  ","15/7",1,"15/0")
MAKEBUTTON(16,27," Edit Directories  ","15/7",1,"15/0")
MAKEBUTTON(18,27," Run Ext. Programs ","15/7",1,"15/0")


    //////////////////////////////////////////////////////////
  /// Draw Menu Buttons & Optional Shadows Around Buttons ///
////////////////////////////////////////////////////////////
FUNCTION MAKEBUTTON(XLOC,YLOC,TEXT,TEXTCOLOR,SHADOW,SHADOWCOLOR)

@ XLOC,YLOC SAY TEXT COLOR TEXTCOLOR
IF SHADOW = 1
        @ XLOC+1,YLOC+1 SAY REPLICATE (CHR(220),LEN(TEXT)) COLOR SHADOWCOLOR
        @ XLOC,YLOC+LEN(TEXT) SAY CHR(223) COLOR SHADOWCOLOR
ENDIF
RETURN
